# IWebhook

## Properties

| Name                      | Type                                                                                       | Description | Notes |
| ------------------------- | ------------------------------------------------------------------------------------------ | ----------- | ----- |
| **block**                 | [**Block**](https://docs.usemoon.ai/sdks/python/block)                                     |             |       |
| **chain\_id**             | **str**                                                                                    |             |       |
| **logs**                  | [**List\[Log\]**](https://docs.usemoon.ai/sdks/python/log)                                 |             |       |
| **txs**                   | [**List\[Transaction\]**](https://docs.usemoon.ai/sdks/python/transaction)                 |             |       |
| **txs\_internal**         | [**List\[InternalTransaction\]**](https://docs.usemoon.ai/sdks/python/internaltransaction) |             |       |
| **abi**                   | [**List\[AbiItem\]**](https://docs.usemoon.ai/sdks/python/abiitem)                         |             |       |
| **retries**               | **float**                                                                                  |             |       |
| **confirmed**             | **bool**                                                                                   |             |       |
| **tag**                   | **str**                                                                                    |             |       |
| **stream\_id**            | **str**                                                                                    |             |       |
| **erc20\_transfers**      | [**List\[IERC20Transfer\]**](https://docs.usemoon.ai/sdks/python/ierc20transfer)           |             |       |
| **erc20\_approvals**      | [**List\[IERC20Approval\]**](https://docs.usemoon.ai/sdks/python/ierc20approval)           |             |       |
| **nft\_transfers**        | [**List\[INFTTransfer\]**](https://docs.usemoon.ai/sdks/python/infttransfer)               |             |       |
| **native\_balances**      | [**List\[INativeBalance\]**](https://docs.usemoon.ai/sdks/python/inativebalance)           |             |       |
| **nft\_approvals**        | [**IOldNFTApproval**](https://docs.usemoon.ai/sdks/python/ioldnftapproval)                 |             |       |
| **nft\_token\_approvals** | [**List\[INFTApproval\]**](https://docs.usemoon.ai/sdks/python/inftapproval)               |             |       |

## Example

```python
from moonsdk.models.i_webhook import IWebhook

# TODO update the JSON string below
json = "{}"
# create an instance of IWebhook from a JSON string
i_webhook_instance = IWebhook.from_json(json)
# print the JSON string representation of the object
print IWebhook.to_json()

# convert the object into a dict
i_webhook_dict = i_webhook_instance.to_dict()
# create an instance of IWebhook from a dict
i_webhook_form_dict = i_webhook.from_dict(i_webhook_dict)
```

[\[Back to Model list\]](https://docs.usemoon.ai/sdks/python/..#documentation-for-models) [\[Back to API list\]](https://docs.usemoon.ai/sdks/python/..#documentation-for-api-endpoints) [\[Back to README\]](https://docs.usemoon.ai/sdks/python)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/iwebhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
